Skip to main content
`Ctrl`+`K`

# read_pajek

read_pajek(path, encoding='UTF-8')

  Read graph in Pajek format from path.

  Parameters:
    path file or string

      File or filename to write. Filenames ending in .gz or .bz2 will be uncompressed.

  Returns:
    G NetworkX MultiGraph or MultiDiGraph.

  References

  See http://vlado.fmf.uni-lj.si/pub/networks/pajek/doc/draweps.htm for format information.

  Examples

      >>> G = nx.path_graph(4)
      >>> nx.write_pajek(G, "test.net")
      >>> G = nx.read_pajek("test.net")

  To create a Graph instead of a MultiGraph use

      >>> G1 = nx.Graph(G)